<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.component.mgt.ui.ProvisioningAdminClient" %>
<%@ page import="org.wso2.carbon.component.mgt.ui.prov.data.LicenseInfo" %>
<%@ page import="org.wso2.carbon.component.mgt.ui.prov.data.FeatureInfo" %>
<%@ page import="org.wso2.carbon.component.mgt.ui.prov.data.CopyrightInfo" %>
<%@ page import="org.wso2.carbon.component.mgt.ui.RepositoryAdminServiceClient" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%
    String featureID = request.getParameter("featureID");
    String featureVersion = request.getParameter("featureVersion");
    String divIDToShow = request.getParameter("divIDToShow");
    String divIDToHide = request.getParameter("divIDToHide");
    String tabNumber = request.getParameter("tabNumber");
    boolean isInstalledFeature = Boolean.parseBoolean(request.getParameter("isInstalledFeature"));

    String backendServerURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
    ConfigurationContext configContext =
            (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);

    FeatureInfo featureInfo;
    LicenseInfo licenseInfo;
    CopyrightInfo copyrightInfo;

    try {
        if(isInstalledFeature){
            ProvisioningAdminClient provAdminClient = new ProvisioningAdminClient(cookie, backendServerURL, configContext, request.getLocale());
            featureInfo = provAdminClient.getInstalledFeatureDetails(featureID, featureVersion);
        } else {
            RepositoryAdminServiceClient repositoryAdminServiceClient = new RepositoryAdminServiceClient(cookie, backendServerURL, configContext, request.getLocale());
            featureInfo = repositoryAdminServiceClient.getInstallableFeatureDetails(featureID, featureVersion);    
        }

        licenseInfo = featureInfo.getLicenseInfo();
        copyrightInfo = featureInfo.getCopyrightInfo();
     } catch (Exception e) {
%>
<p id="compMgtErrorMsg"><%=e.getMessage()%></p>
<%
        return;
    }
%>
<fmt:bundle basename="org.wso2.carbon.component.mgt.ui.i18n.Resources">
<H4><strong><fmt:message key="feature.information"/></strong></H4>
<%--<p><font color="#707277"><i>Following licenses must be reviewed and accepted before installing features.</i></font></p>--%>
<br/>
<div id="_div_feature_details">
    <table class="styledLeft" cellspacing="1" width="100%" id="_table_feature_details"
           style="margin-left: 0px;">
        <tbody>
                    <tr class="tableEvenRow">
                        <td><fmt:message key="name"/></td>
                        <td><%=featureInfo.getFeatureName()%></td>
                    </tr>
                    <tr class="tableOddRow">
                        <td><fmt:message key="identifier"/></td>
                        <td><%=featureInfo.getFeatureID()%></td>
                    </tr>
                    <tr class="tableEvenRow">
                        <td><fmt:message key="version1"/></td>
                        <td><%=featureInfo.getFeatureVersion()%></td>
                    </tr>
                    <tr class="tableOddRow">
                        <td><fmt:message key="description"/></td>
                        <td><%=featureInfo.getDescription()%></td>
                    </tr>
<%
    if(copyrightInfo != null) {
%>
                    <tr class="tableEvenRow">
                        <td><fmt:message key="copyright"/></td>
                        <td>
                            <textarea name="copyright_text" cols="80" rows="10"
                                      width="100%" readonly="true" class="myformat">
<%=copyrightInfo.getBody()%></textarea>
                        </td>
                    </tr>
<%
        }
        
    if(licenseInfo != null) {
%>
                    <tr class="tableOddRow">
                        <td><fmt:message key="license.agreement"/></td>
                        <td>
                            <textarea name="license_text" cols="80" rows="20"
                                      width="100%" readonly="true" class="myformat">
<%=licenseInfo.getBody()%></textarea>
                        </td>
                    </tr>
<%
        }
%>
        </tbody>
    </table>
</div>
<br/>
<div id="_div_feature_details_button_panel">
    <table class="styledLeft" cellspacing="1" width="100%"
           id="_table_feature_details_button_panel" style="margin-left: 0px;">
        <tbody>
        <tr>
            <td class="buttonRow">
                <input value="<fmt:message key="back.button"/>" tabindex="11" type="button"
                       class="button"
                       onclick="swapVisiblility('<%=divIDToShow%>', '<%=divIDToHide%>', <%=tabNumber%>);"
                       id="_btn_back__feature_details"/>
            </td>
        </tr>
        </tbody>
    </table>
</div>
</fmt:bundle>